/*
 *  This file is part of BGX, the Bayesian Gene eXpression program.
 *  Copyright (c) 2003-2004  Graeme Ambler <graeme@ambler.me.uk>
 *
 *  BGX is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License, version 2, as
 *  published by the Free Software Foundation.
 *
 *  BGX is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

// The output variable is a switch.  Set to 0, just the summaries of the 
// medians are output.  Set to 1, a full trace of the medians is output.  
// Set to 2 (or greater) all the diagnostic output is generated.
extern "C"
void bgx(double* pm, double* mm, int* samples, int* conditions, 
	 int* probes, int* genes, int* samplesets, int* probesets, 
	 int* iter, int* burnin, double* s_jmp, double* h_jmp, 
	 double* mu_jmp, double* tau_jmp, double* lambda_jmp, 
	 double* eta_jmp, double* quan, int* num_quan, int* init_size, 
	 int* subsample, int* output, char** dirname, int* seed);
